%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:           euca2ools
Version:        1.3.1
Release:        1%{?dist}
Summary:        Elastic Utility Computing Architecture Command-Line Tools

Group:          Applications/Internet
License:        BSD
URL:            http://open.eucalyptus.com/
# bzr clone http://bazaar.launchpad.net/~eucalyptus-maintainers/euca2ools/euca2ools-main
# bzr export -r 303 --root=euca2ools-1.3 euca2ools-1.3-bzr303.tar.gz
#Source0:        %{name}-%{version}-bzr303.tar.gz
Source0:        http://eucalyptussoftware.com/downloads/releases/%{name}-%{version}.tar.gz

Requires:       m2crypto
Requires:       python-boto

BuildRequires:  help2man
BuildRequires:  python-devel
BuildRequires:  python-setuptools-devel

BuildArch:      noarch

%description
Eucalyptus is an open source service overlay that implements elastic
computing using existing resources.  The goal of Eucalyptus is to allow
sites with existing clusters and server infrastructure to co-host elastic
computing services that are interface-compatible with Amazon's AWS (EC2,
S3, EBS).

This package contains the command line tools used to interact with
Eucalyptus.  These tools are also compatible with Amazon AWS.


%prep
%setup -q


%build
cd %{name}
%{__python} setup.py build


%install
pushd %{name}
%{__python} setup.py install --skip-build --root %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
popd

mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_mandir}/man1
cp -p bin/* %{buildroot}/%{_bindir}
cp -p man/* %{buildroot}/%{_mandir}/man1


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_bindir}/euca-*
%{_mandir}/man1/euca*
%{python_sitelib}/%{name}-*.egg-info
%{python_sitelib}/%{name}/
%doc CHANGELOG
%doc COPYING
%doc INSTALL
%doc README

%changelog
* Sat Sep  4 2010 Garrett Holmstrom <gholms@fedoraproject.org> - 1.3.1-1
- Upstream bugfix release [LP:629118]

* Wed Aug 25 2010 Garrett Holmstrom <gholms@fedoraproject.org> - 1.3-1
- Update to 1.3 final
- This release no longer requires python-boto 2.0

* Fri Jul 30 2010 Garrett Holmstrom <gholms@fedoraproject.org> - 1.2-5.20100701bzr293
- Rebuild prerelease against Python 2.7

* Thu Jul 22 2010 Garrett Holmstrom <gholms@fedoraproject.org> - 1.2-4.20100701bzr293
- Update to a snapshot that includes support for block device mapping [575258]

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Mar 22 2010 Garrett Holmstrom <gholms@fedoraproject.org> - 1.2-2
- Fix bad version reporting [LP:522396]
- Fix broken rc file searching [LP:516738 LP:524652]
- Fix reversed kernel+ramdisk display order in euca-describe-images [LP:256697]
- Fix broken file patch processing [LP:522060]
- Make euca-create-volume documentation consistent [LP:542097]
- Correct help files for euca-{modify,reset}-image-attribute [LP:543559]
- Fix euca-bundle-image --block-device-mapping [575166]

* Thu Feb 18 2010 Garrett Holmstrom <gholms@fedoraproject.org> - 1.2-1
- Upstream update

* Thu Feb  4 2010 Garrett Holmstrom <gholms@fedoraproject.org> - 1.1-5
- Fix changelog

* Wed Jan 20 2010 Garrett Holmstrom <gholms@fedoraproject.org> - 1.1-4
- Stop requiring swig
- Take ownership of %%{python_sitelib}/%%{name} directory
- Clarify description
- Drop now-superfluous buildroot tag and cleaning step

* Fri Jan 15 2010 Garrett Holmstrom <gholms@fedoraproject.org> - 1.1-3
- Update download URI

* Fri Jan  8 2010 Garrett Holmstrom <gholms@fedoraproject.org> - 1.1-2
- Add COPYING and INSTALL docfiles

* Fri Jan  8 2010 Garrett Holmstrom <gholms@fedoraproject.org> - 1.1-1
- Initial packaging attempt
